> ## Documentation Index
> Fetch the complete documentation index at: https://api.corpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a remote charging session

> Starts a remote charging session with the given charging key on the given connector.



## OpenAPI

````yaml /openapi.yaml post /sessions/start
openapi: 3.1.0
info:
  title: Corpay APIs
  version: 1.0.0
  description: >
    Corpay APIs for customer profile management, card management, transaction
    history, and master data retrieval.
servers:
  - url: https://apigwuat.corpay.com
    description: Test environment
  - url: https://apigw.corpay.com
    description: Production environment
security:
  - oauth2ClientCredentials: []
tags:
  - name: Customer
    description: Customer profile and account lifecycle APIs
  - name: Card
    description: Card retrieval, ordering and lifecycle APIs
  - name: Geosearch
    description: >-
      Search and retrieve detailed information about charging locations and
      stations
  - name: Remote Charging
    description: >-
      Control charging sessions remotely including starting and stopping
      sessions, and monitoring session status
  - name: EV Session
    description: >-
      Access and manage charging session data including history, status, and
      detailed session information
  - name: Transaction
    description: Transaction history APIs
  - name: Master
    description: Master/reference data APIs
  - name: Webhooks
    description: Event callback payloads sent by Corpay
paths:
  /sessions/start:
    post:
      tags:
        - Remote Charging
      summary: Start a remote charging session
      description: >-
        Starts a remote charging session with the given charging key on the
        given connector.
      operationId: startRemoteSession
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DriveSessionStartRequest'
            example:
              connectorId: >-
                aHeS4zN1UjzJf/HVDH66SbaItXqHvfLxexulktxTqJavgcbozuV9KJGqNYjmaQPwTb4Ck9wTZcWeEdfeco1srw==
              keyIdentifier: BnZd3qp87z
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DriveSessionStartResponse'
              example:
                sessionId: AAdmD55q8Vz
        '400':
          description: The provided query parameters, route parameters or body is invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DriveInvalidRequestErrorResponse'
              example:
                message: Invalid request payload
                details:
                  - field X is required
        '403':
          description: >-
            Forbidden. The charging key is not allowed to charge, or the
            connector won't allow remote charging.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DriveErrorResponse'
              example:
                message: Resource not found
        '404':
          description: Charging key or connector is not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DriveErrorResponse'
              example:
                message: Resource not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DriveErrorResponse'
              example:
                message: Resource not found
components:
  schemas:
    DriveSessionStartRequest:
      description: Session start request identifying connector and charging key.
      properties:
        connectorId:
          description: Connector identifier to start charging on.
          example: >-
            aHeS4zN1UjzJf/HVDH66SbaItXqHvfLxexulktxTqJavgcbozuV9KJGqNYjmaQPwTb4Ck9wTZcWeEdfeco1srw==
          type: string
        keyIdentifier:
          description: Charging key identifier used for authorization.
          example: BnZd3qp87z
          type: string
      required:
        - connectorId
        - keyIdentifier
      type: object
    DriveSessionStartResponse:
      description: Session start response containing a session identifier.
      properties:
        sessionId:
          description: This session id should be stored and used in other endpoints.
          example: AAdmD55q8Vz
          type: string
      type: object
    DriveInvalidRequestErrorResponse:
      properties:
        fields:
          items:
            properties:
              message:
                example: UserId is not correct
                type: string
              name:
                type: string
              rejectedValue:
                type: string
            required:
              - name
              - message
              - rejectedValue
            title: InvalidField
            type: object
          type: array
        message:
          type: string
      required:
        - message
        - fields
      title: InvalidRequestErrorResponse
      type: object
    DriveErrorResponse:
      properties:
        message:
          type: string
      title: ErrorResponse
      type: object
  securitySchemes:
    oauth2ClientCredentials:
      description: >
        Use OAuth2 client credentials to obtain a bearer token.


        Token endpoint:

        `POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token`


        Use the same base URL as the selected API server:

        - Test environment: `https://apigwuat.corpay.com`

        - Production environment: `https://apigw.corpay.com`


        Example:

        ```bash

        curl --location
        '<BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token' \

        --header 'accept: application/json' \

        --data-urlencode 'grant_type=client_credentials' \

        --data-urlencode 'client_id=.......' \

        --data-urlencode 'client_secret=......'

        ```
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /keycloak/realms/longship/protocol/openid-connect/token
      type: oauth2

````